package it.unibz.inf.isochrone.util;

import java.math.BigDecimal;

import org.kohsuke.args4j.CmdLineException;
import org.kohsuke.args4j.CmdLineParser;
import org.kohsuke.args4j.OptionDef;
import org.kohsuke.args4j.spi.OneArgumentOptionHandler;
import org.kohsuke.args4j.spi.Setter;

public class BigDecimalOptionHandler extends OneArgumentOptionHandler<BigDecimal> {
	public BigDecimalOptionHandler(final CmdLineParser parser, final OptionDef option, final Setter<? super BigDecimal> setter) {
		super(parser, option, setter);
	}

	@Override
	protected BigDecimal parse(final String argument) throws NumberFormatException, CmdLineException {
		return new BigDecimal(argument);
	}
}
