package it.unibz.inf.isochrone.algorithm;

import it.unibz.inf.isochrone.TestConfiguration;
import it.unibz.inf.isochrone.config.ConfigAlgorithm;
import it.unibz.inf.isochrone.config.ConfigAlgorithm.ConfigAlgorithmBuilder;
import it.unibz.inf.isochrone.network.MemoryOutput;

import org.testng.Assert;
import org.testng.annotations.Test;

public class StringifierTest {
	private static final ConfigAlgorithm TEST_CONFIG = new ConfigAlgorithmBuilder(TestConfiguration.DEFAULT_QUERYPOINT).duration(TestConfiguration.DEFAULT_MAX_DURATION).build();

	// Test methods

	@Test
	public void testCacheKey() {
		final CacheKey key = new CacheKey(MDijkstra.class, MemoryOutput.class, TEST_CONFIG);
		Assert.assertFalse(key.toString().contains("@"));
	}

}
