package it.unibz.inf.isochrone.algorithm;

import it.unibz.inf.isochrone.config.ConfigAlgorithm;
import it.unibz.inf.isochrone.db.Database;

/**
 * The MineX isochrone algorithm that uses node expiration.
 * Loads the nodes and links from the database as soon as they are needed.
 */
public class MineX extends Mine {

	// Constructors

	public MineX(final Database db, final ConfigAlgorithm config) throws AlgorithmException {
		super(db, config);
	}

	// Protected methods

	@Override
	protected boolean shouldNodesExpire() {
		return true;
	}

}
