package it.unibz.inf.isochrone.db;

public enum DbType {
	POSTGRESQL("pg"),
	SQLITE("sq"),
	NEO4J("ne");


	private final String abbreviation;

	private DbType(final String abbreviation) {
		this.abbreviation = abbreviation;
	}

	public String getAbbreviation() {
		return abbreviation;
	}

}
