package it.unibz.inf.isochrone.util;

import java.time.LocalDateTime;

import org.kohsuke.args4j.CmdLineException;
import org.kohsuke.args4j.CmdLineParser;
import org.kohsuke.args4j.OptionDef;
import org.kohsuke.args4j.spi.OneArgumentOptionHandler;
import org.kohsuke.args4j.spi.Setter;

public class LocalDateTimeOptionHandler extends OneArgumentOptionHandler<LocalDateTime> {
	public LocalDateTimeOptionHandler(final CmdLineParser parser, final OptionDef option, final Setter<? super LocalDateTime> setter) {
		super(parser, option, setter);
	}

	@Override
	protected LocalDateTime parse(final String argument) throws NumberFormatException, CmdLineException {
		return LocalDateTime.parse(argument);
	}
}
